Bug 143878 - Fix for port cad/salome (incorrect use of bsd.autotools.mk )
Summary: Fix for port cad/salome (incorrect use of bsd.autotools.mk )
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-13 18:00 UTC by devel
Modified: 2010-05-15 17:10 UTC (History)
0 users

See Also:


Attachments
file.diff (6.35 KB, patch)
2010-02-13 18:00 UTC, devel
no flags Details | Diff
salome.diff (8.52 KB, patch)
2010-05-02 22:31 UTC, Thierry Thomas
no flags Details | Diff
salome-kernel.diff (1.62 KB, patch)
2010-05-02 22:31 UTC, Thierry Thomas
no flags Details | Diff
salome-med.diff (10.84 KB, patch)
2010-05-02 22:31 UTC, Thierry Thomas
no flags Details | Diff
salome-smesh.diff (2.06 KB, patch)
2010-05-02 22:31 UTC, Thierry Thomas
no flags Details | Diff
salome-yacs.diff (16.43 KB, patch)
2010-05-02 22:31 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description devel 2010-02-13 18:00:13 UTC
Bulding cad/salome-kernel fails at start with error:

autoconf-2.62: no input file

Fix: Patch in attachement make "canonical" use of bsd.autotools.mk insted of calling script build_configure.sh.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/cad/salome && make install
Comment 1 Philip M. Gollucci freebsd_committer 2010-02-20 23:02:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-04-23 22:24:15 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

back to pool
Comment 3 Thierry Thomas freebsd_committer 2010-05-02 22:31:28 UTC
On Sun  2 may 10 at 23:21:33 +0200, thierry@FreeBSD.org <thierry@FreeBSD.org>
 wrote:

> Synopsis: Fix for port cad/salome (incorrect use of bsd.autotools.mk )
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->thierry
> Responsible-Changed-By: thierry
> Responsible-Changed-When: Dim 2 mai 2010 21:20:50 UTC
> Responsible-Changed-Why: 
> 
> Take it.
> 
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=143878

Stas sent me some newer patches by e-mail, and they are attached (with
some minor fixes to pet portlint).
-- 
Th. Thomas.
Comment 4 dfilter service freebsd_committer 2010-05-15 16:58:52 UTC
thierry     2010-05-15 15:58:38 UTC

  FreeBSD ports repository

  Modified files:
    cad/salome           Makefile Makefile.ext 
    cad/salome-geom      Makefile pkg-plist 
    cad/salome-gui       Makefile pkg-plist 
    cad/salome-kernel    Makefile pkg-plist 
    cad/salome-kernel/files patch-KERNEL-Makefile.am 
                            patch-KERNEL-SALOME_Comm_i.cxx 
    cad/salome-light     Makefile 
    cad/salome-med       Makefile pkg-plist 
    cad/salome-multipr   Makefile pkg-plist 
    cad/salome-randomizer Makefile 
    cad/salome-sierpinsky Makefile 
    cad/salome-smesh     Makefile pkg-plist 
    cad/salome-visu      Makefile pkg-plist 
    cad/salome-yacs      Makefile pkg-plist 
  Added files:
    cad/salome/files     pkg-message.in runSalome.csh.in 
    cad/salome-geom/files patch-Makefile.am 
    cad/salome-gui/files patch-GUI_Makefile.am 
    cad/salome-kernel/files patch-KERNEL-bin_Makefile.am 
                            patch-KERNEL-salome_adm_check_html.m4 
    cad/salome-med/files patch-MED_Makefile.am 
                         patch-ParaMEDMED_ParaMEDMEMTest.cxx 
                         patch-ParaMEDMED_test_AlltoAllvTimeDEC.cxx 
                         patch-ParaMEDMED_test_AlltoAllvTimeDoubleDEC.cxx 
    cad/salome-smesh/files patch-Makefile.am 
    cad/salome-visu/files patch-Makefile.am 
    cad/salome-yacs/files patch-Makefile.am 
                          patch-adm_unix_check_htmlgen.m4 
                          patch-adm_unix_config_check_sphinx.m4 
                          patch-adm_unix_make_begin.am 
                          patch-src_engine_swig_Makefile.am 
                          patch-src_runtime_swig_Makefile.am 
                          patch-src_salomegui_swig_Makefile.am 
                          patch-src_yacsloader_swig_Makefile.am 
  Log:
  - Unbreak (incorrect use of bsd.autotools.mk)
  
  - Don't install useless documentation.
  
  PR:             ports/143878
  Submitted by:   Stas Timokhin <devel (at) stasyan.com> (maintainer)
  
  Revision  Changes    Path
  1.2       +3 -3      ports/cad/salome-geom/Makefile
  1.1       +23 -0     ports/cad/salome-geom/files/patch-Makefile.am (new)
  1.2       +0 -630    ports/cad/salome-geom/pkg-plist
  1.2       +3 -3      ports/cad/salome-gui/Makefile
  1.1       +23 -0     ports/cad/salome-gui/files/patch-GUI_Makefile.am (new)
  1.2       +0 -157    ports/cad/salome-gui/pkg-plist
  1.3       +3 -5      ports/cad/salome-kernel/Makefile
  1.2       +23 -20    ports/cad/salome-kernel/files/patch-KERNEL-Makefile.am
  1.2       +6 -4      ports/cad/salome-kernel/files/patch-KERNEL-SALOME_Comm_i.cxx
  1.1       +21 -0     ports/cad/salome-kernel/files/patch-KERNEL-bin_Makefile.am (new)
  1.1       +102 -0    ports/cad/salome-kernel/files/patch-KERNEL-salome_adm_check_html.m4 (new)
  1.2       +0 -1369   ports/cad/salome-kernel/pkg-plist
  1.2       +3 -3      ports/cad/salome-light/Makefile
  1.2       +3 -3      ports/cad/salome-med/Makefile
  1.1       +14 -0     ports/cad/salome-med/files/patch-MED_Makefile.am (new)
  1.1       +10 -0     ports/cad/salome-med/files/patch-ParaMEDMED_ParaMEDMEMTest.cxx (new)
  1.1       +10 -0     ports/cad/salome-med/files/patch-ParaMEDMED_test_AlltoAllvTimeDEC.cxx (new)
  1.1       +10 -0     ports/cad/salome-med/files/patch-ParaMEDMED_test_AlltoAllvTimeDoubleDEC.cxx (new)
  1.2       +12 -862   ports/cad/salome-med/pkg-plist
  1.2       +3 -3      ports/cad/salome-multipr/Makefile
  1.2       +1 -0      ports/cad/salome-multipr/pkg-plist
  1.2       +3 -3      ports/cad/salome-randomizer/Makefile
  1.2       +3 -3      ports/cad/salome-sierpinsky/Makefile
  1.2       +3 -3      ports/cad/salome-smesh/Makefile
  1.1       +23 -0     ports/cad/salome-smesh/files/patch-Makefile.am (new)
  1.2       +0 -748    ports/cad/salome-smesh/pkg-plist
  1.2       +3 -3      ports/cad/salome-visu/Makefile
  1.1       +20 -0     ports/cad/salome-visu/files/patch-Makefile.am (new)
  1.2       +0 -682    ports/cad/salome-visu/pkg-plist
  1.2       +3 -3      ports/cad/salome-yacs/Makefile
  1.1       +14 -0     ports/cad/salome-yacs/files/patch-Makefile.am (new)
  1.1       +122 -0    ports/cad/salome-yacs/files/patch-adm_unix_check_htmlgen.m4 (new)
  1.1       +37 -0     ports/cad/salome-yacs/files/patch-adm_unix_config_check_sphinx.m4 (new)
  1.1       +8 -0      ports/cad/salome-yacs/files/patch-adm_unix_make_begin.am (new)
  1.1       +23 -0     ports/cad/salome-yacs/files/patch-src_engine_swig_Makefile.am (new)
  1.1       +24 -0     ports/cad/salome-yacs/files/patch-src_runtime_swig_Makefile.am (new)
  1.1       +22 -0     ports/cad/salome-yacs/files/patch-src_salomegui_swig_Makefile.am (new)
  1.1       +22 -0     ports/cad/salome-yacs/files/patch-src_yacsloader_swig_Makefile.am (new)
  1.2       +0 -1      ports/cad/salome-yacs/pkg-plist
  1.4       +22 -11    ports/cad/salome/Makefile
  1.2       +91 -47    ports/cad/salome/Makefile.ext
  1.1       +8 -0      ports/cad/salome/files/pkg-message.in (new)
  1.1       +34 -0     ports/cad/salome/files/runSalome.csh.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Thierry Thomas freebsd_committer 2014-06-01 07:14:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 6 Thierry Thomas freebsd_committer 2014-06-01 07:14:40 UTC
State Changed
From-To: open->closed


Committed with your latest patches - thanks! 

Note: since I were here, I added some little patches to pet portlint a 
bit. 

Remark: the options CPPUNIT & MPI are proposed, but not implemented!